Index: XIOS/dev/dev_trunk_omp/src/transformation/domain_algorithm_extract.hpp
===================================================================
--- XIOS/dev/dev_trunk_omp/src/transformation/domain_algorithm_extract.hpp	(revision 1679)
+++ XIOS/dev/dev_trunk_omp/src/transformation/domain_algorithm_extract.hpp	(revision 1680)
@@ -23,4 +23,6 @@
 
   static bool registerTrans();
+
+  virtual StdString getName() {return "Domain Trans. Filter \\n Extract";}
 protected:
   void updateDomainAttributes();
Index: XIOS/dev/dev_trunk_omp/src/transformation/domain_algorithm_generate_rectilinear.hpp
===================================================================
--- XIOS/dev/dev_trunk_omp/src/transformation/domain_algorithm_generate_rectilinear.hpp	(revision 1679)
+++ XIOS/dev/dev_trunk_omp/src/transformation/domain_algorithm_generate_rectilinear.hpp	(revision 1680)
@@ -33,4 +33,6 @@
   virtual ~CDomainAlgorithmGenerateRectilinear() {}
 
+  virtual StdString getName() {return "Domain Trans. Filter \\n Generate Rectilinear";}
+
 protected:
   void computeIndexSourceMapping_(const std::vector<CArray<double,1>* >& dataAuxInputs);
Index: XIOS/dev/dev_trunk_omp/src/transformation/domain_algorithm_interpolate.hpp
===================================================================
--- XIOS/dev/dev_trunk_omp/src/transformation/domain_algorithm_interpolate.hpp	(revision 1679)
+++ XIOS/dev/dev_trunk_omp/src/transformation/domain_algorithm_interpolate.hpp	(revision 1680)
@@ -39,4 +39,7 @@
 
   static bool registerTrans();
+
+  virtual StdString getName() {return "Domain Trans. Filter \\n Interpolation";}
+
 protected:
   void computeIndexSourceMapping_(const std::vector<CArray<double,1>* >& dataAuxInputs);
Index: XIOS/dev/dev_trunk_omp/src/transformation/domain_algorithm_reorder.hpp
===================================================================
--- XIOS/dev/dev_trunk_omp/src/transformation/domain_algorithm_reorder.hpp	(revision 1679)
+++ XIOS/dev/dev_trunk_omp/src/transformation/domain_algorithm_reorder.hpp	(revision 1680)
@@ -26,4 +26,6 @@
   static bool registerTrans();
 
+  virtual StdString getName() {return "Domain Trans. Filter \\n Reorder";}
+
 protected:
   void computeIndexSourceMapping_(const std::vector<CArray<double,1>* >& dataAuxInputs);
Index: XIOS/dev/dev_trunk_omp/src/transformation/domain_algorithm_transformation.hpp
===================================================================
--- XIOS/dev/dev_trunk_omp/src/transformation/domain_algorithm_transformation.hpp	(revision 1679)
+++ XIOS/dev/dev_trunk_omp/src/transformation/domain_algorithm_transformation.hpp	(revision 1680)
@@ -27,4 +27,6 @@
   virtual ~CDomainAlgorithmTransformation();
 
+  virtual StdString getName() {return "Domain Trans. Filter \\n Transformation";}
+
 protected:
   void computeIndexSourceMapping_(const std::vector<CArray<double,1>* >&);
Index: XIOS/dev/dev_trunk_omp/src/transformation/domain_algorithm_zoom.hpp
===================================================================
--- XIOS/dev/dev_trunk_omp/src/transformation/domain_algorithm_zoom.hpp	(revision 1679)
+++ XIOS/dev/dev_trunk_omp/src/transformation/domain_algorithm_zoom.hpp	(revision 1680)
@@ -23,4 +23,6 @@
 
   static bool registerTrans();
+
+  virtual StdString getName() {return "Domain Trans. Filter \\n Zoom";}
 protected:
   void updateDomainAttributes();
Index: XIOS/dev/dev_trunk_omp/src/transformation/generic_algorithm_transformation.hpp
===================================================================
--- XIOS/dev/dev_trunk_omp/src/transformation/generic_algorithm_transformation.hpp	(revision 1679)
+++ XIOS/dev/dev_trunk_omp/src/transformation/generic_algorithm_transformation.hpp	(revision 1680)
@@ -74,5 +74,5 @@
                      bool ignoreMissingValue, bool firstPass);
 
-  virtual StdString getName() {return "Generic algorithm transformation";}
+  virtual StdString getName() {return "Generic Trans. Filter";}
 
   /*!
Index: XIOS/dev/dev_trunk_omp/src/transformation/scalar_algorithm_extract_axis.hpp
===================================================================
--- XIOS/dev/dev_trunk_omp/src/transformation/scalar_algorithm_extract_axis.hpp	(revision 1679)
+++ XIOS/dev/dev_trunk_omp/src/transformation/scalar_algorithm_extract_axis.hpp	(revision 1680)
@@ -40,4 +40,6 @@
   static bool registerTrans();
 
+  virtual StdString getName() {return "Scalar Trans. Filter \\n Extract Axis";}
+
 protected:
   int pos_;
Index: XIOS/dev/dev_trunk_omp/src/transformation/scalar_algorithm_reduce_axis.hpp
===================================================================
--- XIOS/dev/dev_trunk_omp/src/transformation/scalar_algorithm_reduce_axis.hpp	(revision 1679)
+++ XIOS/dev/dev_trunk_omp/src/transformation/scalar_algorithm_reduce_axis.hpp	(revision 1680)
@@ -41,4 +41,7 @@
 
   static bool registerTrans();
+
+  virtual StdString getName() {return "Scalar Trans. Filter \\n Reduce Axis";}
+
 protected:
   void computeIndexSourceMapping_(const std::vector<CArray<double,1>* >& dataAuxInputs);
Index: XIOS/dev/dev_trunk_omp/src/transformation/scalar_algorithm_reduce_domain.hpp
===================================================================
--- XIOS/dev/dev_trunk_omp/src/transformation/scalar_algorithm_reduce_domain.hpp	(revision 1679)
+++ XIOS/dev/dev_trunk_omp/src/transformation/scalar_algorithm_reduce_domain.hpp	(revision 1680)
@@ -41,4 +41,7 @@
 
   static bool registerTrans();
+
+  virtual StdString getName() {return "Scalar Trans. Filter \\n Reduce Domain";}
+
 protected:
   bool local ;
Index: XIOS/dev/dev_trunk_omp/src/transformation/scalar_algorithm_reduce_scalar.hpp
===================================================================
--- XIOS/dev/dev_trunk_omp/src/transformation/scalar_algorithm_reduce_scalar.hpp	(revision 1679)
+++ XIOS/dev/dev_trunk_omp/src/transformation/scalar_algorithm_reduce_scalar.hpp	(revision 1680)
@@ -36,4 +36,7 @@
 
   static bool registerTrans();
+
+  virtual StdString getName() {return "Scalar Trans. Filter \\n Reduce Scalar";}
+
 protected:
   void computeIndexSourceMapping_(const std::vector<CArray<double,1>* >& dataAuxInputs);
Index: XIOS/dev/dev_trunk_omp/src/transformation/scalar_algorithm_transformation.hpp
===================================================================
--- XIOS/dev/dev_trunk_omp/src/transformation/scalar_algorithm_transformation.hpp	(revision 1679)
+++ XIOS/dev/dev_trunk_omp/src/transformation/scalar_algorithm_transformation.hpp	(revision 1680)
@@ -31,4 +31,6 @@
   virtual ~CScalarAlgorithmTransformation();
 
+  virtual StdString getName() {return "Scalar Trans. Filter \\n Transformation";}
+
 protected:
   void computeIndexSourceMapping_(const std::vector<CArray<double,1>* >& dataAuxInputs);
Index: XIOS/dev/dev_trunk_omp/src/workflow_graph.cpp
===================================================================
--- XIOS/dev/dev_trunk_omp/src/workflow_graph.cpp	(revision 1679)
+++ XIOS/dev/dev_trunk_omp/src/workflow_graph.cpp	(revision 1680)
@@ -9,4 +9,7 @@
   std::unordered_map <int, graph_info_box_edge > *CWorkflowGraph::mapFieldToFilters_ptr_with_info = 0;
   #pragma omp threadprivate(CWorkflowGraph::mapFieldToFilters_ptr_with_info)
+
+  std::unordered_map <size_t, int> *CWorkflowGraph::mapHashFilterID_ptr = 0;
+  #pragma omp threadprivate(CWorkflowGraph::mapHashFilterID_ptr)
 
 
@@ -121,4 +124,18 @@
 
 
+  void CWorkflowGraph::addNode(int nodeID, StdString filterName, int filterClass, bool filterFilled, int entry_nb, CDataPacketPtr packet)
+  TRY
+  {
+    (*mapFilters_ptr_with_info)[nodeID].filter_name = filterName;
+    (*mapFilters_ptr_with_info)[nodeID].filter_class = filterClass;
+    (*mapFilters_ptr_with_info)[nodeID].filter_filled = filterFilled;
+    (*mapFilters_ptr_with_info)[nodeID].expected_entry_nb = entry_nb;
+    (*mapFilters_ptr_with_info)[nodeID].date = packet->date;
+    (*mapFilters_ptr_with_info)[nodeID].timestamp = packet->timestamp;
+  }
+  CATCH
+
+
+
   void CWorkflowGraph::addEdge(int edgeID, int toID, CDataPacketPtr packet)
   TRY
@@ -131,4 +148,16 @@
     (*mapFieldToFilters_ptr_with_info)[edgeID].date = packet->date;
     (*mapFieldToFilters_ptr_with_info)[edgeID].timestamp = packet->timestamp;
+    (*mapFieldToFilters_ptr_with_info)[edgeID].field = packet->field;
+    (*mapFieldToFilters_ptr_with_info)[edgeID].attributes = packet->field->recordXiosAttributes();
+  }
+  CATCH
+
+
+  void CWorkflowGraph::allocNodeEdge()
+  TRY
+  {
+    if(mapFilters_ptr_with_info==0) mapFilters_ptr_with_info = new std::unordered_map <int, graph_info_box_node>;
+    if(mapFieldToFilters_ptr_with_info==0) mapFieldToFilters_ptr_with_info = new std::unordered_map <int, graph_info_box_edge >;
+    if(mapHashFilterID_ptr==0) mapHashFilterID_ptr = new std::unordered_map <size_t, int >;
   }
   CATCH
Index: XIOS/dev/dev_trunk_omp/src/workflow_graph.hpp
===================================================================
--- XIOS/dev/dev_trunk_omp/src/workflow_graph.hpp	(revision 1679)
+++ XIOS/dev/dev_trunk_omp/src/workflow_graph.hpp	(revision 1680)
@@ -12,4 +12,5 @@
 namespace xios
 {
+  class CField;
 
   struct graph_info_box_node
@@ -23,4 +24,9 @@
     Time timestamp;
     StdString transform_type;
+    StdString attributes;
+    StdString field_id;
+    bool inputs_complete;
+    int filter_tag;
+    int clusterID;
   };
 
@@ -34,4 +40,6 @@
     CDate date;
     Time timestamp;
+    CField *field;
+    StdString attributes;
     
   };
@@ -60,9 +68,14 @@
       #pragma omp threadprivate(mapFieldToFilters_ptr_with_info)
 
+      static std::unordered_map <size_t, int> *mapHashFilterID_ptr;
+      #pragma omp threadprivate(mapHashFilterID_ptr)
+
 
       static bool build_begin;
       #pragma omp threadprivate(build_begin)
 
+      static void addNode(int nodeID, StdString filterName, int filter_class, bool filter_filled, int entry_nb, CDataPacketPtr packet);
       static void addEdge(int edgeID, int toID, CDataPacketPtr packet);
+      static void allocNodeEdge();
 
     private:
